org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class CompareToolBar

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.CompareToolBar

All Implemented Interfaces:
  EventListener, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.jface.viewers.ISelectionChangedListener

    public class CompareToolBar
    extends Object
    implements org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.util.IPropertyChangeListener

### Constructor Summary

Constructors
Constructor and Description
`CompareToolBar(org.eclipse.jface.action.ToolBarManager toolbarManager, StructureMergeViewerGrouper viewerGrouper, StructureMergeViewerFilter viewerFilter, EMFCompareConfiguration compareConfiguration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adapterFactoryChange(IAdapterFactoryChange event)`
`void` `comparisonAndScopeChange(IComparisonAndScopeChange event)`
`void` `dispose()`
`void` `editingDomainChange(ICompareEditingDomainChange event)`
`void` `initToolbar(org.eclipse.jface.viewers.AbstractTreeViewer viewer, org.eclipse.compare.INavigatable nav)`
`void` `propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)`
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`
`void` `setEnabled(boolean enable)` Enables or disables the toolbar.
`void` `setMirrored(boolean mirrored)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompareToolBar

    public CompareToolBar(org.eclipse.jface.action.ToolBarManager toolbarManager,
                          StructureMergeViewerGrouper viewerGrouper,
                          StructureMergeViewerFilter viewerFilter,
                          EMFCompareConfiguration compareConfiguration)

### Method Detail

#### initToolbar

    public final void initToolbar(org.eclipse.jface.viewers.AbstractTreeViewer viewer,
                                  org.eclipse.compare.INavigatable nav)

#### dispose

    public void dispose()

#### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`
See Also:
  `ISelectionChangedListener.selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)`

#### editingDomainChange

    public void editingDomainChange(ICompareEditingDomainChange event)

#### adapterFactoryChange

    public void adapterFactoryChange(IAdapterFactoryChange event)

#### comparisonAndScopeChange

    public void comparisonAndScopeChange(IComparisonAndScopeChange event)

#### setEnabled

    public void setEnabled(boolean enable)

Enables or disables the toolbar.

Parameters:
  `enable` - Set to `true` to enable, `false` otherwise.

#### setMirrored

    public void setMirrored(boolean mirrored)

#### propertyChange

    public void propertyChange(org.eclipse.jface.util.PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `org.eclipse.jface.util.IPropertyChangeListener`